<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-case-step-state-heading">Create or edit a Case Step State</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_name">Name</label>
                    <input type="text" class="form-control" name="name" id="field_name"
                           formControlName="name"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_state">State</label>
                    <select class="form-control" name="state" formControlName="state" id="field_state">
                        <option value="NEW">NEW</option>
                        <option value="IN_PROGRESS">IN_PROGRESS</option>
                        <option value="DONE">DONE</option>
                        <option value="BLOCK">BLOCK</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_step">Step</label>
                    <select class="form-control" id="field_step" name="step" formControlName="step">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="caseStepOption.id === editForm.get('step')!.value?.id ? editForm.get('step')!.value : caseStepOption" *ngFor="let caseStepOption of casesteps; trackBy: trackById">{{ caseStepOption.id }}</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
